# Class CIM_QueueForPrintService
extends CIM_Dependency

This association indicates that a PrintService utilizes a particular PrintQueue.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_QueueForPrintService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association indicates that a PrintService utilizes a particular PrintQueue.
UMLPackagePath | string | CIM::Device::Printing
Version | string | 2.14.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
QueueAcceptingFromService | boolean |
Description | string | Indicates that the PrintService can accept Jobs and place them on the Queue.
MappingStrings | string | RFC2911.IETF|Printer.printer-is-accepting-jobs

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_QueueForPrintService | CIM_PrintQueue
Dependent | CIM_QueueForPrintService | CIM_PrintService

## Class Methods